/*
 * 
 * Trigger Detect
 * 
 * 
 * Detecting triggers is essential to interact with other modules, for example to generate short bursts of sounds
 * Try the output of simple-lfo.ino with this patch and open the serial monitor to see what happens!
 * 
 * A3 = Trigger in
 * 
 */


bool triggered; // logic: trigered, yes or no


void setup() {
  Serial.begin(9600); // debugging (see if trigger is registered)
}

void loop() {
  
  int input3 = digitalRead(A3); // read analog pin 3
  
  //  trigger 
  if(input3 && !triggered) { //if there is a reading on input3 and the bool condition triggered is not true do
      Serial.println("I hear a trigger!");
      // DO SOMETHING ON TRIGGER HERE
      triggered = true;
    }
    else if(!input3 && triggered) { //if there is no reading on input3 and condition triggered is true (aka sound is playing), set triggered to false, aka stop playing 
      // STOP WHEN NO TRIGGER IS PRESENT (or do something else ;)
      triggered = false;
    }

}
